# $Revision: 1.10 $, $Date: 2010/07/09 11:23:36 $
%define 	module	TwistedMail
%define		major	8.1
%define		minor	0

Summary:	Mail library for Twisted
Summary(pl.UTF-8):	Biblioteka Mail dla Twisted
Name:		python-%{module}
Version:	%{major}.%{minor}
Release:	3
License:	MIT
Group:		Libraries/Python
Source0:	http://tmrc.mit.edu/mirror/twisted/Mail/%{major}/%{module}-%{version}.tar.bz2
# Source0-md5:	b471434356da5cdfb04dbe38802425ef
URL:		http://twistedmatrix.com/trac/wiki/TwistedMail
BuildRequires:	python-devel >= 2.2
Requires:	python-TwistedCore
Obsoletes:	python-Twisted-mail
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail library for Twisted.

%description -l pl.UTF-8
Biblioteka Mail dla Twisted.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

install -d $RPM_BUILD_ROOT%{py_sitedir}
mv -f $RPM_BUILD_ROOT%{py_sitescriptdir}/* $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%attr(755,root,root) %{_bindir}/mailmail
%{py_sitedir}/*.egg-info
%{py_sitedir}/twisted/mail
%{py_sitedir}/twisted/plugins/twisted_mail.py*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-TwistedMail.spec,v $
Revision 1.10  2010/07/09 11:23:36  arekm
- release 3

Revision 1.9  2010/07/08 08:42:49  arekm
- release 2

Revision 1.8  2008/10/05 07:25:49  wiget
- R: TwistedCore not obsoleted Twisted
- release 1

Revision 1.7  2008/10/05 06:25:24  wiget
- updated to 8.1.0

Revision 1.6  2008/05/02 18:50:07  luzik
- updated to 8.0.0

Revision 1.5  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.3  2006/06/03 23:39:23  qboosh
- Obsoletes: python-Twisted-mail

Revision 1.2  2005/12/15 21:45:08  qboosh
- simple desc, files cleanup

Revision 1.1  2005/12/11 00:41:09  adasi
- initial, desc missing
